/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#include <gpxe/nap.h>
#include <realmode.h>

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/**
 * Save power by halting the CPU until the next interrupt
 *
 */
static void bios_cpu_nap ( void ) {
	__asm__ __volatile__ ( REAL_CODE ( "sti\n\t"
					   "hlt\n\t"
					   "cli\n\t" ) : : );
}

PROVIDE_NAP ( pcbios, cpu_nap, bios_cpu_nap );
