/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef SFC_CLP_H
#define SFC_CLP_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/clp.h>
#include "../efx.h"

void sfc_init_clp_dev(struct clp_device *clp_dev, struct pci_device *pci);
void sfc_fini_clp_dev(struct clp_device *clp_dev);

void sfc_clp_reset(struct clp_device *clp_dev, struct clp_response *response);
int sfc_clp_get_mac(struct clp_device *clp_dev, uint8_t *mac);
void sfc_clp_set_perm_mac(struct clp_device *clp_dev,
                          struct clp_response *response, const uint8_t *mac);
void sfc_clp_set_boot(struct clp_device *clp_dev, struct clp_response *response,
		      int enable);

#endif
