/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _MUCURSES_H
#define _MUCURSES_H

/** @file
 *
 * MuCurses core implementation specific header file
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#define WRAP 0
#define NOWRAP 1

extern SCREEN _ansi_screen;

extern void _wputch ( WINDOW *win, chtype ch, int wrap ) __nonnull;
extern void _wputc ( WINDOW *win, char c, int wrap ) __nonnull;
extern void _wputchstr ( WINDOW *win, const chtype *chstr, int wrap, int n ) __nonnull;
extern void _wputstr ( WINDOW *win, const char *str, int wrap, int n ) __nonnull;
extern void _wcursback ( WINDOW *win ) __nonnull;

#endif /* _MUCURSES_H */
