/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_ERRFILETAB_H
#define _GPXE_ERRFILETAB_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** @file
 *
 * Error file tables
 *
 */

#include <gpxe/tables.h>

struct errfiletab {
	int errno;
	const char *file;
};

/** Error file tables */
#define ERRFILETABS __table ( struct errfiletab, "errfiletab" )

#define __errfiletab __table_entry ( ERRFILETABS, 01 )

#endif /* _GPXE_ERRFILETAB_H */
