/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_ERRORTAB_H
#define _GPXE_ERRORTAB_H

/** @file
 *
 * Error message tables
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/tables.h>

struct errortab {
	int errno;
	const char *text;
};

#define ERRORTAB __table ( struct errortab, "errortab" )

#define __errortab __table_entry ( ERRORTAB, 01 )

#define __einfo_errortab( einfo ) {			\
	.errno = __einfo_errno ( einfo ),		\
	.text = __einfo_desc ( einfo ),			\
	}

#endif /* _GPXE_ERRORTAB_H */
