/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef _GPXE_SHELL_H
#define _GPXE_SHELL_H

/** @file
 *
 * Minimal command shell
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

/** Shell stop states */
enum shell_stop_state {
	/** Continue processing */
	SHELL_CONTINUE = 0,
	/**
	 * Stop processing current command line
	 *
	 * This is the stop state entered by commands that change the flow
	 * of execution, such as "goto".
	 */
	SHELL_STOP_COMMAND = 1,
	/**
	 * Stop processing commands
	 *
	 * This is the stop state entered by commands that terminate
	 * the flow of execution, such as "exit".
	 */
	SHELL_STOP_COMMAND_SEQUENCE = 2,
};

extern void shell_stop ( int stop );
extern int shell_stopped ( int stop );
extern int shell ( void );

#endif /* _GPXE_SHELL_H */
